-- Possible spells and abilities
W_PriestSpellTable = {"Lesser Heal","Renew","Heal","Flash Heal","Prayer of Healing","Spirit of Redemption","Greater Heal",   "Power Word: Fortitude","Power Word: Shield","Inner Fire","Elune's Grace","Focused Casting","Inner Focus","Divine Spirit","Resurrection","Cure Disease","Abolish Disease","Dispel Magic","Mind Vision","Shadow Form" };

W_MageSpellTable = {"Amplify Magic","Arcane Brilliance","Arcane Explosion","Arcane Intellect","Arcane Power","Blink","Cold Snap","Conjure Food","Conjure Water","Conjure Mana Agate","Conjure Mana Jade","Conjure Mana Citrine","Conjure Mana Ruby","Dampen Magic","Evocation","Fire Ward","Frost Armor","Frost Nova","Frost Ward","Ice Armor","Ice Barrier","Ice Block","Mage Armor","Mana Shield","Presence of Mind","Remove Lesser Curse","Slow Fall","Molten Armor"};

W_PaladinSpellTable = {"Holy Light","Lay on Hands","Flash of Light","Seal of Light","Holy Shock","Cleanse","Divine Shield","Exorcism","Hammer of Justice","Hammer of Wrath","Holy Light","Holy Wrath","Purify"}


W_DruidSpellTable = {"Rejuvenation","Healing Touch","Regrowth","Tranquility","Frenzied Regeneration", "Remove Curse", "Regrowth", "Cure Poison", "Travel Form", "Tranquility", "Thorns", "Swiftmend", "Omen of Clarity", "Nature's Swiftness", "Nature's Grasp", "Moonkin Form", "Mark of the Wild", "Gift of the Wild", "Lifebloom", "Flight Form", "Cat Form", "Bear Form", "Barkskin", "Abolish Poison", "Aquatic Form"}

W_RogueSpellTable = {"Stealth", "Evasion", "Sprint", "Slice and Dice", "Feint", "Distract", "Vanish", "Disarm Trap", "Blade Flurry", "Cold Blood", "Preparation", "Adrenaline Rush", "Cloak of Shadows", "Instant Poison", "Crippling Poison", "Mind-numbing Poison", "Deadly Poison"};

W_WarriorSpellTable = {"Battle Shout", "Thunder Clap", "Bloodrage", "Demoralizing Shout", "Charge", "Shield Block", "Disarm", "Dual Wield", "Intimidating Shout", "Challenging Shout", "Shield Wall", "Berserker Rage", "Recklessness", "Spell Refection", "Commanding Shout", "Intervene", "Piercing Howl", "Death Wish", "Sweeping Strikes", "Last Stand"};

W_HunterSpellTable = {"Parry", "Call Pet", "Dismiss Pet", "Revive Pet", "Feed Pet", "Track Beasts", "Aspect of the Monkey", "Aspect of the Hawk", "Track Humanoids", "Mend Pet", "Eagle Eye", "Eyes of the Beast", "Immolation Trap", "Track Undead", "Aspect of the Cheetah", "Disengage", "Deterrence", "Freezing Trap", "Track Hidden", "Track Elementals", "Rapid Fire", "Frost Trap", "Aspect of the Beast", "Feign Beast", "Intimidation", "Scatter Shot", "Track Demons", "Flare", "Explosive Trap", "Spirit Bond", "Trueshot Aura", "Aspect of the Pack", "Track Giants", "Aspect of the Wild", "Track Dragonkin", "Cower", "Dash", "Dive", "Furious Howl", "Prowl", "Shell Shield", "Thunderstomp", "Dual Wield"};

W_WarlockSpellTable = {"Demon Skin", "Curse of Weakness", "Summon Imp", "Life Tap", "Create Healthstone", "Health Funnel", "Unending Breath", "Create Soulstone", "Ritual of Summoning", "Demon Armor", "Eye of Kilrogg", "Sense Demons", "Detect Lesser Invisibility", "Create Firestone", "Shadow Ward", "Create Spellstone", "Howl of Terror", "Dark Pact"};

W_ShamanSpellTable = {"Lesser Healing Wave", "Healing Wave", "Chain Heal", "Cure Poison", "Cure Disease", "Lightning Shield", "Ghost Wolf", "Water Breathing", "Far Sight", "Water Walking", "Elemental Mastery", "Stormstrike", "Nature's Swiftness", "Water Shield", "Bloodlust", "Heroism"};


--
-- Default Spells for the drop downs - please don't change
--
-- Priest defaults
W_PriestDefaultSpellTable = {
"Flash Heal","Renew","Power Word: Shield",
"Greater Heal","Prayer of Healing","Abolish Disease",
"Power Word: Fortitude", "Inner Fire", "Dispel Magic",
"Heal", "Heal", "Heal"};

-- Mage Defaults
W_MageDefaultSpellTable = {
"Remove Lesser Curse","Arcane Intellect","Mage Armor",
"Conjure Water","Conjure Food","Ice Armor",
"Fire Ward","Blink","Evocation",
"Conjure Mana Ruby", "Conjure Mana Citrine", "Conjure Mana Jade"}

-- Paly Defaults
W_PaladinDefaultSpellTable = {
"Flash of Light","Cleanse","Holy Light",
"Holy Wrath","Seal of Light","Holy Shock",
"Lay on Hands","Divine Shield","Exorcism",
"Hammer of Justice","Hammer of Wrath","Purify"}

-- Druid Defaults
W_DruidDefaultSpellTable = {
"Healing Touch", "Mark of the Wild", "Remove Curse",
"Travel Form", "Swiftmend", "Nature's Swiftness",
"Moonkin Form", "Frenzied Regeneration", "Bear Form",
"Tranquility", "Omen of Clarity", "Regrowth"}

-- Rogue Defaults
W_RogueDefaultSpellTable = {
"Stealth", "Evasion", "Sprint",
"Slice and Dice", "Feint", "Distract",
"Vanish", "Disarm Trap", "Blade Flurry",
"Cold Blood", "Preparation", "Adrenaline Rush"}

-- Warrior Defaults
W_WarriorDefaultSpellTable = {
"Battle Shout", "Thunder Clap", "Bloodrage", 
"Demoralizing Shout", "Charge", "Shield Block", 
"Disarm", "Dual Wield", "Intimidating Shout", 
"Challenging Shout", "Shield Wall", "Berserker Rage"};

-- Hunter Defaults
W_HunterDefaultSpellTable = {
"Parry", "Call Pet", "Dismiss Pet",
"Revive Pet", "Feed Pet", "Track Beasts",
"Aspect of the Monkey", "Aspect of the Hawk", "Track Humanoids",
"Mend Pet", "Eagle Eye", "Eyes of the Beast"};

-- Warlock Defaults
W_WarlockDefaultSpellTable = {
"Demon Armor", "Curse of Weakness", "Summon Imp", 
"Life Tap", "Howl of Terror", "Shadow Ward",
"Create Soulstone", "Create Healthstone", "Create Firestone",
"Health Funnel", "Ritual of Summoning", "Dark Pact"};

-- Shaman Defaults
W_ShamanDefaultSpellTable = {
"Healing Wave", "Chain Heal", "Lightning Shield",
"Cure Poison", "Cure Disease", "Heroism",
"Ghost Wolf", "Far Sight", "Elemental Mastery",
"Stormstrike", "Water Shield", "Bloodlust"};


W_bUseDefaults = true;
W_bUseLoaded = false;


W_kMaxDropDownButtons = 12; --the max # of drop downs, which correspond to mouse buttons, Left,Middle,Right then ctrl L,M,R, Shift L, M, R, alt L,M,R
W_kMaxUnitButtons = 40; --the total number of unit (player) buttons. currently set to 5, need to change to 40 to handle a raid

W_kMaxNumGroups = 8;
W_kMaxNumUnitsPerGroup = 5;


W_kFontNamePlayer = "GameFontGreenSmall";
W_kFontNameOthers = "GameFontNormalSmall";
W_kFontNameHighlight = "GameFontHighlightSmall";
W_kFontNameDisable = "GameFontDisableSmall";

W_kUnitDead = 0; --used when changing the frame texture to different states
W_kUnitAlive = 1;
W_kUnitHealthAlert = 2;
W_kUnitHealthOK = 3;
W_kUnitDisconnected = 4;

W_kPlayer = 0; --used to set the whammy frame size
W_kParty = 1;
W_kRaid = 2;

W_gUnitButtonTable = {}; --keeps track of which unitID is in each of the unit buttons